Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class BAD_OPERATIONHelper

    java.lang.Object
      |
      +--org.omg.CORBA.BAD_OPERATIONHelper

public class BAD_OPERATIONHelper
extends java.lang.Object

Helper class for : BAD_OPERATION

Author:
  OpenORB Compiler

Constructor Summary
`BAD_OPERATIONHelper()`

Method Summary
`static BAD_OPERATION` | `extract(Any a)` Extract BAD_OPERATION from an any
`static java.lang.String` | `id()` Return the BAD_OPERATION IDL ID
`static void` | `insert(Any a, BAD_OPERATION t)` Insert BAD_OPERATION into an any
`static BAD_OPERATION` | `read(InputStream istream)` Read BAD_OPERATION from a marshalled stream
`static TypeCode` | `type()` Return the BAD_OPERATION TypeCode
`static void` | `write(OutputStream ostream, BAD_OPERATION value)` Write BAD_OPERATION into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BAD_OPERATIONHelper

    public BAD_OPERATIONHelper()

Method Detail

### insert

    public static void insert(Any a,
                              BAD_OPERATION t)

  Insert BAD_OPERATION into an any
  Parameters:
    `a` - an any
    `t` - BAD_OPERATION value

### extract

    public static BAD_OPERATION extract(Any a)

  Extract BAD_OPERATION from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted BAD_OPERATION value

### type

    public static TypeCode type()

  Return the BAD_OPERATION TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the BAD_OPERATION IDL ID
  Returns:
    an ID

### read

    public static BAD_OPERATION read(InputStream istream)

  Read BAD_OPERATION from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed BAD_OPERATION value

### write

    public static void write(OutputStream ostream,
                             BAD_OPERATION value)

  Write BAD_OPERATION into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - BAD_OPERATION value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD